"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "util/CMakeLists.txt" between
gvm-libs-10.0.1.tar.gz and gvm-libs-11.0.0.tar.gz

About: GVM Libraries for the Greenbone Vulnerability Management (GVM-10) framework (derived from the former openvas-libraries).

CMakeLists.txt  (gvm-libs-10.0.1):CMakeLists.txt  (gvm-libs-11.0.0)
skipping to change at line 48 skipping to change at line 48
# for serverutils, sshutils and xmlutils we need gnutls # for serverutils, sshutils and xmlutils we need gnutls
pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15) pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
# for uuidutils we need uuidlib # for uuidutils we need uuidlib
pkg_check_modules (UUID REQUIRED uuid>=2.25.0) pkg_check_modules (UUID REQUIRED uuid>=2.25.0)
# for sshutils we need libssh # for sshutils we need libssh
pkg_check_modules (LIBSSH REQUIRED libssh>=0.6.0) pkg_check_modules (LIBSSH REQUIRED libssh>=0.6.0)
# for kb we need libhiredis # for kb we need libhiredis
pkg_check_modules (REDIS hiredis>=0.10.1) pkg_check_modules (REDIS REQUIRED hiredis>=0.10.1)
# Set NVTICACHE name with the version # Set NVTICACHE name with the version
set (NVTICACHE_STR "nvticache${PROJECT_VERSION}") set (NVTICACHE_STR "nvticache${PROJECT_VERSION}")
add_definitions (-DNVTICACHE_STR="${NVTICACHE_STR}") add_definitions (-DNVTICACHE_STR="${NVTICACHE_STR}")
#for gpgmeutils we need libgpgme #for gpgmeutils we need libgpgme
set (GPGME_MIN_VERSION "1.1.2") set (GPGME_MIN_VERSION "1.1.2")
message (STATUS "Looking for gpgme...") message (STATUS "Looking for gpgme...")
find_library (GPGME gpgme) find_library (GPGME gpgme)
if (NOT GPGME) if (NOT GPGME)
 End of changes. 1 change blocks. 
1 lines changed or deleted 1 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)